Subject: Compiling g98 A11 with ATLAS

From: "Georg Schmeer" <[email-masked]>
Date: Thu, 2 May 2002 17:43:58 +0200

Dear G98-users,
I need some help for the compiling of gaussian98 Rev.A11.
I got Gaussian98 Rev.A11 from Gaussian,Inc on one CD containing two 
directories. One directory contains the gaussian98 Rev.A11 tar file 
and the other the tar file of the ATLAS-linear algebra system and 
also blas- and f77blas-libraries for IBM AIX-Systems. After 
dearchiving the two tar-files I compiled the ATLAS-library according 
to the appropriate instructions on a Pentium III processor under Suse-
LINUX 7.2. The compilers are gcc and PGF90. After a rather long time 
the compilation finished without error messages and produced 7 
libraries in the directory ATLAS/lib/Linux_PIIISSE1_2:
libatlas.a
libcblas.a
libf77blas.a
liblapack.a
libptcblas.a
libptf77blas.a
libtstatlas.a

In order to compile g98 I copied these libraries in the directory 
$g98root/g98/lib and made the following modifications in the file 
g98.make:
BLAS = $g98root/g98/lib/libatlas.a \
       $g98root/g98/lib/libcblas.a \
       $g98root/g98/lib/libf77blas.a \
       $g98root/g98/lib/liblapack.a \
       $g98root/g98/lib/libptcblas.a \
       $g98root/g98/lib/libptf77blas.a \
       $g98root/g98/lib/libtstatlas.a 
The compilation of g98 via "bsd/bldg98 >& bldg98.log &" stops shortly 
before the end with the following lines in bldg98.log:
.
.
if ( 1 ) then
.
.
make[1]: Leaving directory `&g98root/g98´
pgf90    -O2 -tp p6 -Munroll -Mvect=cachesize:524288 -o g98 ml0.o     
     util.so
util.so: undefined reference to `atl_f77wrap_dspmv_´
util.so: undefined reference to `atl_f77wrap_dgemm_´
make: *** [g98] Error 1
endif
 
The error message is the same when compiling with pgf77.
In the directory ATLAS/interfaces/blas/F77/src/f77wrap I found the 
generic routines atl_F77wrap_gemm.c and atl_F77wrap_spmv.c but no 
hint for the double-precison routines respectively.
The Gaussian 98 Release Notes Revisions A.11.2 and A.11.3 give  
instructions for Fortran Compiler and Libraries for Building the 
Intel Linux Version on page 14, these instructions are useless, 
however, since the appropriate libraries are lacking.
Therefore any help to locate the error which I made, would be 
appreciated.
Is there any people familiar with compiling of gaussian98 together 
with ATLAS?

Sincerely yours

Georg Schmeer 
Prof. Dr. Georg Schmeer
Institut fuer Physikalische und Theoretische Chemie
Universitaet Regensburg
D-93040 Regensburg
[email-masked]
Tel: 0941-943-4745
Fax: 0941-943-1690